VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties
VisiMath.Fractals.MidDisplacement Class Reference

Mid displacement fractal generator. More...

Inheritance diagram for VisiMath.Fractals.MidDisplacement:

List of all members.

## Public Member Functions
| MidDisplacement ()
| Creates middisplacement fractal with 128x128 size.
| MidDisplacement (int w, int h)
| Creates middsiplacement fractal with specified size.
| MidDisplacement (int RandSeed, int w, int h)
| Creates middisplacement fractal with specified size and specific random seed.
| MidDisplacement (Random rndm, int w, int h)
| Creates middisplacement fractal with specified size from specified random generator.
| MidDisplacement (Random rndm, int w, int h, float meanheight, float basedisp)
| Creates middisplacement fractal with specified size from specified random generator.
void | RecalcPlasma ()
| Recalculates fractal.
## Public Attributes
float[,] | Data
| Generated data.
float | MeanHeight
| Mean height.
float | BasicDisplace
| Basic displace parameter.
## Protected Member Functions
void | BaseConstruct (Random rndm, int w, int h, float meanh=0.0f, float baseDisp=50.0f)
float | GetRandom (float max)
float | GetBaseCorner ()
float | Displace (float val)
void | CalcPlasma (float x1, float y1, float width, float height, float val1, float val2, float val3, float val4)
## Properties
override float | this[float indexX, float indexY]`[get, set]`
| Index like acessor.

## Detailed Description

Mid displacement fractal generator.

## Constructor & Destructor Documentation

VisiMath.Fractals.MidDisplacement.MidDisplacement | ( |  | ) |

Creates middisplacement fractal with 128x128 size.

VisiMath.Fractals.MidDisplacement.MidDisplacement | ( | int | w,
|  | int | h
| ) |  |

Creates middsiplacement fractal with specified size.

Parameters:

  w | Width
  h | Height

VisiMath.Fractals.MidDisplacement.MidDisplacement | ( | int | RandSeed,
|  | int | w,
|  | int | h
| ) |  |

Creates middisplacement fractal with specified size and specific random seed.

Parameters:

  RandSeed | Random seed for pseudorandom generator
  w | Width
  h | Height

VisiMath.Fractals.MidDisplacement.MidDisplacement | ( | Random | rndm,
|  | int | w,
|  | int | h
| ) |  |

Creates middisplacement fractal with specified size from specified random generator.

Parameters:

  w | Width
  h | Height
  rndm | Random generator (if null, new will be constructed)

VisiMath.Fractals.MidDisplacement.MidDisplacement | ( | Random | rndm,
|  | int | w,
|  | int | h,
|  | float | meanheight,
|  | float | basedisp
| ) |  |

Creates middisplacement fractal with specified size from specified random generator.

Parameters:

  w | Width
  h | Height
  rndm | Random generator (if null, new will be constructed)
  basedisp | Basic displace parameter
  meanheight | Mean height of the fractal

## Member Function Documentation

void VisiMath.Fractals.MidDisplacement.BaseConstruct | ( | Random | rndm,
|  | int | w,
|  | int | h,
|  | float | meanh = `0.0f`,
|  | float | baseDisp = `50.0f`
| ) |  | `[protected]`

void VisiMath.Fractals.MidDisplacement.CalcPlasma | ( | float | x1,
|  | float | y1,
|  | float | width,
|  | float | height,
|  | float | val1,
|  | float | val2,
|  | float | val3,
|  | float | val4
| ) |  | `[protected]`

float VisiMath.Fractals.MidDisplacement.Displace | ( | float | val | ) | `[protected]`

float VisiMath.Fractals.MidDisplacement.GetBaseCorner | ( |  | ) | `[protected]`

float VisiMath.Fractals.MidDisplacement.GetRandom | ( | float | max | ) | `[protected]`

void VisiMath.Fractals.MidDisplacement.RecalcPlasma | ( |  | ) |

Recalculates fractal.

## Member Data Documentation

float VisiMath.Fractals.MidDisplacement.BasicDisplace

Basic displace parameter.

float [,] VisiMath.Fractals.MidDisplacement.Data

Generated data.

float VisiMath.Fractals.MidDisplacement.MeanHeight

Mean height.

## Property Documentation

override float VisiMath.Fractals.MidDisplacement.this[float indexX, float indexY]`[get, set]`

Index like acessor.

Parameters:

  indexX |
  indexY |

Returns:

Reimplemented from VisiMath.Fractals.HeightMap.

The documentation for this class was generated from the following file:

- MidDisplacement.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events